PLASMAENGINEEXPLO(1)

NAME
plasmaengineexplorer - Provides direct access to plasma data engines

SYNOPSIS

plasmaengineexplorer [-v, --version] [-h, --help] [--list] [--heightpixels] [--widthpixels] [-xpixels] [-ypixels] [--enginedata engine] [--sourcedata engine] [--intervalms] [--appapplication]

plasmaengineexplorer [KDE Generic Options] [Qt Generic Options]

DESCRIPTION

plasmaengineexplorer is a graphical tool allowing developers to test Plasma data engines without writing a Plasma applet.

If no options are given, it will start without any data engine selected. The required data engine can be selected from a drop-down list.

Only installed data engines will be found. kbuildsycoca4 may need to be run for newly-installed data engines to be found.

OPTIONS

-v, --version
    Displays version information.

-h, --help
    Displays this help.

--list pixels
    Displays a list of known engines and their descriptions.

--height
    Sets the height of the window, in pixels.

--width pixels
    Sets the width of the window, in pixels.

-x pixels
    Sets the x (horizontal) co-ordinate of the top left corner of the window, in pixels.

-y pixels
    Sets the y (vertical) co-ordinate of the top left corner of the window, in pixels.

--engine data engine
    Start plasmaengineexplorer with the given data engine selected. data engine is the internal name of the data engine given by the X-KDE-PluginInfo-Name key of the desktop file.

--source data engine
    Only valid in conjunction with --engine. Requests a specific source from the data engine when plasmaengineexplorer is started.

--interval time
    Sets the default update interval for requested sources to time milliseconds. If not set, the source will update on demand (for some sources, this will be when new data is available).

    If --source is specified, this is the update interval that will be used when requesting that source.

--app application
    Only show engines associated with the parent application; maps to the X-KDE-ParentApp entry in the DataEngine's .desktop file.

SEE ALSO

More detailed user documentation is available from help:/plasma-desktop (either enter this URL into Konqueror, or run khelpcenter help:/plasma-desktop).

EXAMPLES

Load the time data engine, showing the local time and updating every second:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTHORS

plasmaengineexplorer was written by Aaron Seigo <aseigo@kde.org>.